Subject: bug#24528: closed (Re: bug#24528: 24.5; XLFD font specification ignore empty style preference.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 May 2020 12:10:01 +0000

Your bug report

#24528: 24.5; XLFD font specification ignore empty style preference.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24528: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24528
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24528: 24.5; XLFD font specification ignore empty style preference.
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], Oleksandr Gavenko <[email-masked]>
Date: Mon, 04 May 2020 14:08:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Oleksandr Gavenko <[email-masked]> writes:
>
>> I have 2 server side fonts:
>>
>>   -misc-fixed-medium-r-normal--13-120-75-75-c-120-iso10646-1
>>   -misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1
>>
>> When I run:
>>
>>   (set-frame-font "-misc-*-*-*-*--13-*-*-*-*-*-*-*")
>>
>> unfortunately next font selected:
>>
>>   -misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1
>>
>>   /usr/share/fonts/X11/misc/12x13ja.pcf.gz
>>
>> which looks very ugly.
>
> (This bug report unfortunately got no feedback at the time.)
>
> If I (on this Debian system) tries
>
> (set-frame-font "-misc-*-*-*-*--13-*-*-*-*-*-*-*")
>
> I get
>
>     x:-misc-fixed-medium-r-normal--13-120-75-75-c-80-koi8-r (#x2D)
>
> If I say
>
> (set-frame-font "-misc-*-*-*-*-ja-13-*-*-*-*-*-*-*")
>
> I get
>
>     x:-misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1 (#x2A)
>
> So I don't seem to be able to reproduce this error, but that may be
> because I don't have the same fonts installed as you have.  On the other
> hand, there's been some changes in the font handling in Emacs since the
> bug was reported.
>
> Are you still seeing this problem in Emacs 27?

More information was requested, but none was given within 6 months, so
I'm closing this bug.

If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas

Subject: 24.5; XLFD font specification ignore empty style preference.
From: Oleksandr Gavenko <[email-masked]>
To: [email-masked]
Date: Sat, 24 Sep 2016 20:37:08 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I have 2 server side fonts:

  -misc-fixed-medium-r-normal--13-120-75-75-c-120-iso10646-1
  -misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1

When I run:

  (set-frame-font "-misc-*-*-*-*--13-*-*-*-*-*-*-*")

unfortunately next font selected:

  -misc-fixed-medium-r-normal-ja-13-120-75-75-c-120-iso10646-1

  /usr/share/fonts/X11/misc/12x13ja.pcf.gz

which looks very ugly.

In GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.21.5)
 of 2016-09-05 on trouble, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11803000
System Description:	Debian GNU/Linux testing (stretch)

Configured using:
 `configure --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.5/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.5/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs24-24.5+1=. -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2'
 LDFLAGS=-Wl,-z,relro'

-- 
http://defun.work/